### GET /api/products/snapshot/pricelists Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json Using this endpoint, you can get list of all products with basic data such as product guid, id, code and its prices across all pricelists. Response will be in [jsonlines](https://jsonlines.org/) format with each product taking one line of output file. See [Product price list snapshot schema](/shoptet-api/openapi/snapshot/productpricelistsnapshot) for more details. Result file is compressed using GZIP. ```markdown ### Parameters - **Content-Type** (string, header, required) ### Responses #### 202 - Accepted - **data** (object) - **jobId** (string) (required): token of job - **errors** (array,null) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/products/snapshot/pricelists" ``` ``` -------------------------------- ### GET /api/products Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json Returns the list of products - only basic info and GUID, using this you can determine the details with another API call. Endpoint supports [Paging](#section/basic-principles/paging). This endpoint has several sections, which are sent only when requested in the `include` parameter (see [Section on demand](#section/basic-principles/section-on-demand). If you state the `include=images` parameter within the URL, then information about main product image will also be part of the response. For more information about the chapter [Product images](#section/Product-images). Please note it is better to use List of all products endpoint for getting all products from eshop. Use `productCodes` or `productGuids` request parameter to get the list of specific products. Product codes/GUIDs are separated by a comma. If you use this query parameter, other filters are not applied, and the set of particular products is returned. Please note that these parameters **accepts max. 50 product codes/GUIDs in request parameter** and cannot be combined. ```markdown ### Parameters - **availabilityId** (integer, query, optional): product availability id. Optional. - **availabilityWhenSoldOutId** (integer, query, optional): product availability id when not stocked. Optional. - **creationTimeFrom** (string, query, optional): date of product creation, lower limit. Optional. - **creationTimeTo** (string, query, optional): date of product creation, upper limit. Optional. - **visibility** (string, query, optional): Product visibility (visible, hidden, only for logged-in users...) - see also [Product visibility](#section/code-lists/product-visibility) code list. Optional. - **type** (string, query, optional): Product type (product, service, bazar...) - see also [Product types](#section/code-lists/product-types) code list. Optional. - **brandName** (string, query, optional): product brand (manufacturer) name. Optional. - **brandCode** (string, query, optional): product brand (manufacturer) code from `/api/brands` endpoint. Optional. - **defaultCategoryGuid** (string, query, optional): product default category. Optional. - **categoryGuid** (string, query, optional): product category - only the products added to specific category will be included. Optional. - **flag** (string, query, optional): product flag - only products with selected flag will be included - **include** (string, query, optional): optional parts of response - **productCodes** (string, query, optional): Define the output set of products. Use max. 50 product codes separated by a comma. No additional filters take effect. Cannot be combined with `productGuids` query parameter. - **productGuids** (string, query, optional): Define the output set of products. Use max. 50 product GUIDs separated by a comma. No additional filters take effect. Cannot be combined with `productCodes` query parameter. - **supplierGuid** (string, query, optional): supplier GUID - only products with selected supplier will be included - **changeTimeFrom** (string, query, optional): date of product last update, lower limit. Optional. - **changeTimeTo** (string, query, optional): date of product last update, upper limit. Optional. - **itemsPerPage** (integer, query, optional): Returned items per page. Default value is 20. Max value is 1000. - **page** (integer, query, optional): Page number to return. Default value is 1. - **Content-Type** (string, header, required) ### Responses #### 200 - OK - **data** (object) (required) - **products** (array (object)) (required) Array items: - **guid** (string) (required) - **name** (string) (required): product name - **type** (string) (required): product type (`product`, `bazar`...) - see also [Product types](#section/code-lists/product-types) code list - **url** (string,null) (required) - **visibility** (string) (required): visibility of product (`normal`, `hidden` ...) - see also [Product visibility](#section/code-lists/product-visibility) code list - **creationTime** (string,null) (required) - **changeTime** (string,null) (required) - **brand** (object) (required) - **code** (string) (required): unique brand code - **name** (string) (required): brand name - **supplier** (object) (required) - **guid** (string) (required) - **name** (string) (required): supplier name - **defaultCategory** (object) (required): default product category - **guid** (string,null) (required) - **name** (string,null) (required): category description - **visible** (boolean,null) (required): whether the parameter is visible - **mainImage** (object,null): image information (filled in only on request. if `include=images` parameter is defined) - **voteAverageScore** (string,null) - **voteCount** (integer,null): Count of product reviews - **preauthorizationRequired** (boolean): whether the preauthorization is required; available only if shoptet pay module is enabled - **paginator** (object) (required) - **totalCount** (integer) (required): total number of available records - **page** (integer) (required): current page - **pageCount** (integer) (required): total available of pages - **itemsOnPage** (integer) (required): number of currently returned records - **itemsPerPage** (integer) (required): required number of records per page - **errors** (array,null) (required) #### 400 - Bad Request - **data** (object,null) - **errors** (array,null) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/products?availabilityId=0&availabilityWhenSoldOutId=0&creationTimeFrom=string&creationTimeTo=string&visibility=string&type=string&brandName=string&brandCode=string&defaultCategoryGuid=string&categoryGuid=string&flag=string&include=string&productCodes=string&productGuids=string&supplierGuid=string&changeTimeFrom=string&changeTimeTo=string&itemsPerPage=0&page=0" ``` ``` -------------------------------- ### GET /api/products/{guid}/alternativeProducts Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json Returns list of alternative products related to product defined by `guid`, list is ordered by priority parameter. If `Pair reciprocally` option (`Settings > Product > Related and Alternative products`) is enabled, list of items will be enriched by items that has called product in own alternative table. ```markdown ### Parameters - **guid** (string, path, required): Product guid - **visible** (boolean, query, optional): If set to `true`, only visible products are returned (those, which does not have `visibility: hidden`) - **Content-Type** (string, header, required) ### Responses #### 200 - OK - **data** (object) (required) - **items** (array (relatedProduct)) (required) Array items: - **guid** (string) (required) - **priority** (integer) (required): Priority of product in related products list - **visibility** (string): visibility of product (`normal`, `hidden` ...) - see also [Product visibility](#section/code-lists/product-visibility) code list - **linkType** (string): Type of the link to the product. Defines if the product is paired physically or reciprocally. - **errors** (array,null) (required) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/products/{guid}/alternativeProducts?visible=true" ``` ``` -------------------------------- ### GET /api/products/{guid}/images/{gallery} Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json Returns list of product's images. Data from this endpoint and from product's detail endpoint (list named `images` when using `?include=images` parameter) are the same. Use this endpoint when working only with product images to save time. ```markdown ### Parameters - **guid** (string, path, required): Product's guid - **gallery** (string, path, required): Gallery identifier - use `shop` for normal and `shop360` for 360 photos - **Content-Type** (string, header, required) ### Responses #### 200 - OK - **data** (object) (required) - **images** (array (object)) (required) Array items: - **name** (string) (required): image file name, also serves as an identifier for the image of the product. To assemble complete URL, it is added to the `urlPath` obtained from the endpoint e-shop info `/api/eshop?include=imageCuts`. - **priority** (integer,null) (required): the key for the sequence of images matching the sequence in administration - it''s not necessarily from the first, and the series may contain gaps. (can be `null`) - **description** (string,null) (required): image label (can be `null`) - **changeTime** (string,null) (required) - **seoName** (string) (required): file name modified for SEO - a short label is attached. - **cdnName** (string) (required): same as `seoName` with attached hashed last image change time. `name`, `seoName` and `cdnName` can be entered in the URL - redirect will deliver the same image. - **isMainImage** (boolean) (required) - **errors** (array,null) (required) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/products/{guid}/images/{gallery}" ``` ``` -------------------------------- ### GET /api/customers/{guid}/remarks/{id} Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json API endpoint for GET /api/customers/{guid}/remarks/{id} ```markdown ### Parameters - **guid** (string, path, required) - **id** (string, path, required) - **Content-Type** (string, header, required) ### Responses #### 200 - OK - **data** (object) (required) - **remark** (object) (required) - **id** (integer) (required): uniq identification number - **rating** (string) (required): type of rating - **remark** (string) (required): customer remark - **errors** (array,null) (required) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/customers/{guid}/remarks/{id}" ``` ``` -------------------------------- ### GET /api/products/snapshot Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json Using this endpoint, you can get list of all products with detailed info of each product (like in Product Detail endpoint) asynchronously. See how [Asynchronous requests](https://developers.shoptet.com/asynchronous-requests/) work on our developer's portal. Response will be in [jsonlines](https://jsonlines.org/) format with each product taking one line of output file. One product in response has the same format as product detail response. See [Product snapshot schema](/shoptet-api/openapi/snapshot/productsnapshot) for more details. This endpoint has several sections, which are exported only when requested in the `include` parameter (see [Section on demand](#section/basic-principles/section-on-demand)). Include parameter | Meaning --- | --- images | Export will also contain the list of all product images. For more information about the chapter [Product images](#product-images). variantParameters | Export will also contain a field of variant parameters and a variant description, as they are visible to customers. allCategories | Export will also contain information on all the categories that the product was assigned into flags | Details on product designation descriptiveParameters | Export will also contain descriptive parameters of the product measureUnit | Export will also contain measure unit info of every variant. surchargeParameters | Export will also contain surcharge parameters of the product. setItems | Export will also contain items, products, in set. filteringParameters | Export will also contain filtering parameters of the product. recyclingFee | Export will also contain recycling fee. consumptionTax | Export will also contain consumption tax. Requires the "Consumption tax" module to be enabled on the current e-shop. warranty | Export will also contain product warranty. sortVariants | Product variants will be sorted as in administration. gifts | List of gifts (variants) related to product alternativeProducts | The response will also contain alternative products. relatedProducts | The response will also contain related products. relatedVideos | The response will also contain related videos. relatedFiles | The response will also contain related files. perStockAmounts | The response will also contain amounts/claims per individual stocks. Requires the "stock" module to be enabled on the current e-shop. perPricelistPrices | The response will also contain prices per individual price lists. Use `productCodes` or `productGuids` request parameter to get the list of specific products. Product codes/GUIDs are separated by a comma. If you use this query parameter, other filters are not applied, and the set of particular products is returned. Please note that these parameters **accepts max. 50 product codes/GUIDs in request parameter** and cannot be combined. Result file is compressed using GZIP. ```markdown ### Parameters - **include** (string, query, optional): Optional parts of response - **productCodes** (string, query, optional): Define the output set of products. Use max. 50 product codes separated by a comma. No additional filters take effect. Cannot be combined with `productGuids` query parameter. - **productGuids** (string, query, optional): Define the output set of products. Use max. 50 product GUIDs separated by a comma. No additional filters take effect. Cannot be combined with `productCodes` query parameter. - **availabilityId** (integer, query, optional): product availability id. Optional. - **availabilityWhenSoldOutId** (integer, query, optional): product availability id when not stocked. Optional. - **creationTimeFrom** (string, query, optional): date of product creation, lower limit. Optional. - **creationTimeTo** (string, query, optional): date of product creation, upper limit. Optional. - **visibility** (string, query, optional): Product visibility (visible, hidden, only for logged-in users...) - see also [Product visibility](#section/code-lists/product-visibility) code list. Optional. - **type** (string, query, optional): Product type (product, service, bazar...) - see also [Product types](#section/code-lists/product-types) code list. Optional. - **brandName** (string, query, optional): product brand (manufacturer) name. Optional. - **brandCode** (string, query, optional): product brand (manufacturer) code from `/api/brands` endpoint. Optional. - **defaultCategoryGuid** (string, query, optional): product default category. Optional. - **categoryGuid** (string, query, optional): product category - only the products added to specific category will be included. Optional. - **flag** (string, query, optional): product flag - only products with selected flag will be included - **supplierGuid** (string, query, optional): supplier GUID - only products with selected supplier will be included - **changeTimeFrom** (string, query, optional): date of product last update, lower limit. Optional. - **changeTimeTo** (string, query, optional): date of product last update, upper limit. Optional. - **Content-Type** (string, header, required) ### Responses #### 202 - Accepted - **data** (object) - **jobId** (string) (required): token of job - **errors** (array,null) #### 400 - Bad Request - **data** (object,null) - **errors** (array,null) #### 403 - Forbidden - **data** (object,null) - **errors** (array,null) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/products/snapshot?include=string&productCodes=string&productGuids=string&availabilityId=0&availabilityWhenSoldOutId=0&creationTimeFrom=string&creationTimeTo=string&visibility=string&type=string&brandName=string&brandCode=string&defaultCategoryGuid=string&categoryGuid=string&flag=string&supplierGuid=string&changeTimeFrom=string&changeTimeTo=string" ``` ``` -------------------------------- ### GET /api/customers/{guid}/delivery-addresses/{addressGuid} Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json API endpoint for GET /api/customers/{guid}/delivery-addresses/{addressGuid} ```markdown ### Parameters - **guid** (string, path, required) - **addressGuid** (string, path, required) - **Content-Type** (string, header, required) ### Responses #### 200 - OK - **data** (object) (required) - **deliveryAddress** (object) (required) - **guid** (string) (required): customer delivery address identification - **company** (string,null) (required): company (can be `null`) - **fullName** (string,null) (required): full name (can be `null`) - **street** (string,null) (required): street (can be `null`) - **houseNumber** (string,null) (required): house number (can be `null`) - **city** (string,null) (required): city/town (can be `null`) - **district** (string,null) (required): region (can be `null`) - **additional** (string,null) (required): additional info (can be `null`) - **zip** (string,null) (required): ZIP/postal code (can be `null`) - **countryCode** (string,null) (required): country (can be `null`) - **regionName** (string,null) (required): region name (can be `null`) - **regionShortcut** (string,null) (required): region abbreviation (can be `null`) - **isDefault** (boolean) - **errors** (array,null) (required) ### Example Usage ```bash curl -X GET "https://api.myshoptet.com/api/customers/{guid}/delivery-addresses/{addressGuid}" ``` ``` -------------------------------- ### POST /api/products/{guid}/copy Source: https://api.docs.shoptet.com/_bundle/Shoptet%20API/openapi.json This endpoint allows you to copy a product identified by a GUID. The new product will have the same attributes as the original product. Many settings can be copied from the original product,but some settings require an active module. See the details below. By default, all parameters are copied and set to true unless specified otherwise. If you only want to copy certain parameters, select those you want to copy and set the others to false. If you wish to copy all parameters, you don't need to include them in the request list at all. Important note: If you previously had any active modules (such as Heureka, Seznam, GlobalSaleVat) that are no longer active, the resulting data may differ slightly because data requiring an active module will not be copied in this case. ```markdown ### Parameters - **guid** (string, path, required): Product guid - **Content-Type** (string, header, required) ### Request Body **Content-Type:** application/json - **data** (object) (required) - **name** (string) (required): Product`s name. Maximal length of 250 characters. Mandatory. - **isVisible** (boolean): Determine whether the copied product will be `visible` or `hidden`. This is optional; if not set, the visibility will be inherited from the source product. - **copyProperties** (object): Properties to copy. All properties are optional; if not set, the default value is true. - **generalData** (boolean): Whether to copy general data, which includes 'shortDescription', 'description', 'internalNote', 'manufacturer', 'warranty', 'supplier', 'itemType' and 'visibility' (if not set `isVisible` property). - **images** (boolean): Whether to copy product gallery images. - **images360** (boolean): Whether to copy product 360° gallery images. - **pricelist** (boolean): Whether to copy the pricelist with all settings, including any variants from the source product. - **categories** (boolean): Whether to copy all categories. - **properties** (boolean): Whether to copy properties, which includes `descriptiveParameters` and `surchargeParameters`. - **related** (boolean): Whether to copy all related properties. It includes `relatedProducts` (only when the relatedProducts module is active), `alternativeProducts` (only when the `alternativeProducts` module is active), `relatedVideos` (only when the `relatedVideos` module is active), `relatedGifts` (only when the `gifts` module is active) and `downPayments` (only when the `downPayments` module is active). - **advanced** (boolean): Whether to copy advanced properties like `metaDescription`, `appendix`, `xmlFeedName`, `seoTitle`, `IPlatba`, `PayOnline`, `adult`. If `categoryPairing` is set to `true`, the `categoryPairing` settings for Google, Glami, Heureka, Zbozi.cz will be copied. - **stocks** (boolean): Whether to copy stocks. Available only with active `Stock` module. The pricelist must be also setted to `true` in order for the stock requirements to be copied. - **globalSaleVat** (boolean): Whether to copy global sale VAT. Available only with active `Global Sale` module. - **zboziCzSettings** (boolean): Whether to copy Zboží.cz settings. Available only with active `Seznam` module. - **heurekaSettings** (boolean): Whether to copy Heureka settings. Available only with active `HeurekaCZ` module. - **categoryPairing** (boolean): Whether to copy category pairing settings for Google, Glami, Heureka, Zbozi.cz. Property `advanced` must be set to `true`. ### Responses #### 201 - Created - **data** (object) (required) - **guid** (string) (required) - **type** (string) (required): product type (`product`, `bazar`...) - see also [Product types](#section/code-lists/product-types) code list - **name** (string,null): product name - **indexName** (string): String which defines product url. - **brand** (object) (required) - **code** (string) (required): unique brand code - **name** (string) (required): brand name - **supplier** (object) (required) - **guid** (string) (required) - **name** (string) (required): supplier name - **visibility** (string) (required): visibility of product (`normal`, `hidden` ...) - see also [Product visibility](#section/code-lists/product-visibility) code list - **creationTime** (string,null) (required) - **changeTime** (string,null) (required) - **shortDescription** (string,null) (required): short product description - **description** (string,null) (required): product description. May contain html. - **metaDescription** (string,null) (required): product label from meta tag. - **url** (string,null) (required): URL of the product in the e-shop - **conditionGrade** (string,null): Grade condition of second-hand product. It contains value only for `bazar` type, otherwise, it is `null`. - **conditionDescription** (string,null): Condition description of second-hand product. It contains value only for `bazar` type, otherwise, it is `null`. - **internalNote** (string,null) (required): product internal note - **preauthorizationRequired** (boolean): whether the preauthorization is required; available only if shoptet pay module is enabled - **defaultCategory** (object) (required): default product category - **guid** (string,null) (required) - **name** (string,null) (required): category description - **visible** (boolean,null) (required): whether the parameter is visible - **categories** (array (object)): information about available product categories Array items: - **guid** (string,null) (required) - **name** (string) (required): category name - **parentGuid** (string,null) (required) - **descriptiveParameters** (array (object)): product description parameters Array items: - **name** (string) (required): parameter name - **value** (string,null) (required): value of the descriptive parameter - **description** (string,null) (required): parameter name description - **priority** (integer,null) (required): parameter priority - **additionalName** (string,null): Additional part of product name - **xmlFeedName** (string,null): Name of xml feed - **metaTitle** (string): Meta (seo) title - **adult** (boolean): Flag, whether the product is for adults only - **atypicalBilling** (boolean): (Moved to variant) - Has atypical billing? - **atypicalShipping** (boolean): (Moved to variant) - Has atypical shipping? - **allowIPlatba** (boolean): Is Cofidis payment allowed? - **allowOnlinePayments** (boolean): Are online Payments allowed? - **sizeIdName** (string,null): Name for sizeid.com - **voteAverageScore** (string,null) - **voteCount** (integer,null): Count of product reviews - **isVariant** (boolean): define if product has multiple variants. - **variants** (array (object)) (required): information about available product variants. For a product without variants, this field contains just one element with product details. Array items: - **code** (string) (required): unique identification of the product variant - **ean** (string,null) (required): product variant bar code - **stock** (string,null) (required) - **unit** (string,null) (required): unit of goods quantity - **weight** (string) (required): weight in kg, unpacked (can be `null`). 3 decimal places. Maximum value 999999. - **width** (string) (required) - **height** (string) (required) - **depth** (string) (required) - **visible** (boolean) (required): flag, whether the variant is visible - **price** (string,null) (required) - **commonPrice** (string,null) (required) - **manufacturerCode** (string,null) (required): manufacturer code - **pluCode** (string,null) (required): PLU code - **isbn** (string,null) (required): ISBN code - **serialNo** (string,null) (required): serial number - **mpn** (string,null) (required): manufacturer part number - **includingVat** (boolean) (required): flag, whether the price is including VAT - **vatRate** (string) (required): VAT rate in percent - **currencyCode** (string) (required): currency code - **minStockSupply** (string,null) (required) - **actionPrice** (object,null) (required): special discounted price. - **image** (string,null): main image of variant (if set, otherwise the product's main image is to be used). - **isProductDefaultImage** (boolean): Determines whether the default product image is given (true) or the product variant image (false). - **name** (string,null): name composed of the variant parameters, as seen in the e-shop. For products without variants this is `null`. Requires `include=variantParameters` parameter. - **amountDecimalPlaces** (integer) (required): Number of decimal places for amount - **parameters** (array,null) - **measureUnit** (object,null): product measure unit - **availability** (object,null) - **availabilityWhenSoldOut** (object,null) - **negativeStockAllowed** (string (yes-global|no-global|yes)) (required): is negative stock buying allowed? Possible values `yes-global` - yes, set globally, `no-global` - no, `yes` - globally no, but per this variant yes. ("yes-global"|"no-global"|"yes") - **recyclingFee** (object) - **id** (integer) (required): Recycling fee category id. - **category** (string) (required): Recycling fee category name. - **fee** (string) (required) - **unit** (unknown) (required): Recycling fee unit. ("pcs"|"kg") - **currency** (string) (required): Currency code of recycling fee. - **consumptionTax** (object) - **id** (integer) (required): Consumption tax identifier. - **name** (string) (required): Consumption tax name. - **price** (string) (required) - **currency** (string) (required): Currency code of consumption tax. - **heurekaCPC** (string,null): Heureka cost per click - **zboziCZ** (object): Information from zbozi.cz - **maximalCPC** (string,null) (required): Zbozi.cz maximal cost per click - **maximalSearchCPC** (string,null) (required): Zbozi.cz maximal search cost per click - **hidden** (boolean,null) (required) - **atypicalBilling** (boolean): Has atypical billing? - **atypicalShipping** (boolean): Has atypical shipping? - **boxRestriction** (boolean): When enabled, pickup lockers cannot be selected in the cart. - **perStockAmounts** (array,null): Variant amounts/claims per individual stocks. - **perPricelistPrices** (array,null): Variant prices per individual pricelists. - **url** (string,null): If product has multiple variants, URL of the variant is provided. - **prices** (object) - **ossVatLevels** (array (object)): OSS VAT levels Array items: - **countryCode** (string) (required): Country code - **taxLevel** (unknown) (required): Tax level type. Use Enums: high: Standard tax rate, none: Zero tax rate, low: First reduced tax rate, third: Second reduced tax rate, superLow: Super low tax rate, parking: Parking tax rate. ("high"|"low"|"third"|"none"|"superLow"|"parking") - **taxLevelDescription** (string) (required): Description of tax level type - **taxValue** (string,null) (required): Tax value in % - **images** (array (object)): information about images. Array items: - **name** (string) (required): image file name, also serves as an identifier for the image of the product. To assemble complete URL, it is added to the `urlPath` obtained from the endpoint e-shop info `/api/eshop?include=imageCuts`. - **seoName** (string) (required): file name modified for SEO - a short label is attached. - **cdnName** (string) (required): same as `seoName` with attached hashed last image change time. `name`, `seoName` and `cdnName` can be entered in the URL - redirect will deliver the same image. - **priority** (integer,null) (required): the key for the sequence of images matching the sequence in administration - it's not necessarily from the first, and the series may contain gaps. - **description** (string,null) (required): image label - **changeTime** (string,null) (required) - **isMainImage** (boolean): determines whether it is the main image - **flags** (array (object)): product flags Array items: - **code** (string) (required): flag identifier - **title** (string) (required): flag name - **dateFrom** (string,null) (required) - **dateTo** (string,null) (required) - **surchargeParameters** (array (productSurchargeParameter)): product surcharge parameters Array items: - **code** (string) (required): parameter identifier - **name** (string) (required): parameter name - **displayName** (string,null) (required): parameter display name - **description** (string,null) (required): parameter description - **priority** (integer,null) (required): parameter priority - **required** (boolean) (required): Is value for parameter required? - **currency** (string) (required): Currency of price in parameter's values - **includingVat** (boolean) (required): Is price in parameter's values including VAT? - **subscription** (boolean,null): indicates whether this surcharge parameter is a subscription (recurring payment) - **values** (array (productSurchargeParameterValue)) (required): Possible parameter's values Array items: - **valueIndex** (string) (required): Code (identifier) of parameter's value - **description** (string) (required): Description (name) of parameter's value - **price** (string,null) (required) - **priority** (integer,null) (required): Priority of parameter's value - **visible** (boolean) (required): Is parameter value visible? - **setItems** (array,null): information about items, products, in set - **filteringParameters** (array (object)): product filtering parameters Array items: - **warranty** (object,null): product warranty - **gifts** (array (object)) Array items: - **code** (string) (required): product variant identifier - **priority** (integer) (required): variant priority - **alternativeProducts** (array,null) - **relatedProducts** (array,null) - **relatedFiles** (array (object)): files related to product Array items: - **id** (integer) (required): Related file id - **name** (string,null) (required): related file title - **url** (string) (required): related file URL - **size** (integer,null) (required): related file size - **relatedVideos** (array (object)): Videos related to product Array items: - **code** (string) (required): urelated video YouTube code - **title** (string,null) (required): related video title - **type** (string,null) (required): related video type ("youtube"|"youtube-short"|"null") - **errors** (array,null) (required) #### 403 - Forbidden - **data** (object,null) - **errors** (array,null) #### 404 - Not Found - **data** (object,null) - **errors** (array,null) #### 422 - Unprocessable Entity - **data** (object,null) - **errors** (array,null) ### Example Usage ```bash curl -X POST "https://api.myshoptet.com/api/products/{guid}/copy" \ -H "Content-Type: application/json" \ -d '{ "data": { "name": "string", "isVisible": "true", "copyProperties": { "generalData": "true", "images": "true", "images360": "true", "pricelist": "true", "categories": "true", "properties": "true", "related": "true", "advanced": "true", "stocks": "true", "globalSaleVat": "true", "zboziCzSettings": "true", "heurekaSettings": "true", "categoryPairing": "true" } } }' ``` ```